=== modified file 'annotate.py'
--- annotate.py	2005-09-19 02:44:11 +0000
+++ annotate.py	2005-10-07 16:15:28 +0000
@@ -28,20 +28,20 @@
     later_revision = branch.revno()
     q = range(branch.revno())
     q.reverse()
-    later_text_id = branch.basis_tree().inventory[file_id].text_id
+    later_text_sha1 = branch.basis_tree().inventory[file_id].text_sha1
     i = 0
     for revno in q:
         i += 1
         cur_tree = branch.revision_tree(branch.get_rev_id(revno))
         if file_id not in cur_tree.inventory:
-            text_id = None
+            text_sha1 = None
         else:
-            text_id = cur_tree.inventory[file_id].text_id
-        if text_id != later_text_id:
+            text_sha1 = cur_tree.inventory[file_id].text_sha1
+        if text_sha1 != later_text_sha1:
             patch = get_patch(branch, revno, later_revision, file_id)
             yield revno+1, patch.iter_inserted(), patch
             later_revision = revno
-            later_text_id = text_id
+            later_text_sha1 = text_sha1
         yield progress.Progress("revisions", i)
 
 def get_patch(branch, old_revno, new_revno, file_id):

